- Home
- API Enriched
- Support
- operate
- Health
Health
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/operate/namespaces/system/sites/example/vpm/debug/global/health';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/operate/namespaces/system/sites/example/vpm/debug/global/health \ --header 'Authorization: <Authorization>'GET VPM health information.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Site Name Name of the site.
Query Parameters
Section titled “Query Parameters”Name of the console user who runs this command.
Responses
Section titled “Responses”A successful response.
Health response info from site.
object
Node FQDN used during registration.
Hostname of the node.
If the factory password changed on host.
If the box has LTE support.
object
object
Information from /sys/class/dmi/ID/bios_date.
Information from /sys/class/dmi/ID/bios_vendor.
Information from /sys/class/dmi/ID/bios_version.
object
Information from /sys/class/dmi/ID/board_asset_tag.
Information from /sys/class/dmi/ID/board_name.
Information from /sys/class/dmi/ID/board_serial.
Information from /sys/class/dmi/ID/board_vendor.
Information from /sys/class/dmi/ID/board_version.
object
Information from /sys/class/dmi/ID/chassis_asset_tag.
Information from /sys/class/dmi/ID/chassis_serial.
Information from /sys/class/dmi/ID/chassis_type.
Information from /sys/class/dmi/ID/chassis_vendor.
Information from /sys/class/dmi/ID/chassis_version.
object
CPU cache size in KB.
Number of physical CPU cores.
Number of physical CPUs.
CPU model
CPU clock rate in MHz.
Number of logical (HT) CPU cores.
CPU vendor.
object
GPU Cuda Version.
GPU Driver Version.
List of GPU devices in server.
object
GPU ID
GPU Processes.
GPU Product Name.
object
Kernel architecture.
Kernel release.
Kernel version.
object
RAM size in MB.
RAM data rate in MT/s.
Type of memory, eg. DDR4.
List of network devices in server.
NetworkDevice information.
object
Driver of device, eg. E1000e.
IP address on interface.
MAC address on interface.
Name of device, eg. Eth0.
Used port, eg. Tp.
Device max supported speed in Mbps.
Non-uniform memory access (NUMA) nodes count.
object
Architecture of OS.
Name of OS.
Release of the OS.
Vendor of OS.
Version of OS.
object
Product name, eg. For AWS m5a.xlarge. Info taken from /sys/class/dmi/ID/product_name.
Serial number, eg. For AWS ec254b6d-9676-1a51-8b10-21370dbdc3e5. Info taken from /sys/class/dmi/ID/product_serial.
Vendor name, eg. For AWS Amazon EC2. Info taken from /sys/class/dmi/ID/product_vendor.
Version name. Info taken from /sys/class/dmi/ID/product_version.
List of storage devices in server.
StorageDevice information.
object
Driver of device.
Model of device.
Name of device, eg. Nvme0n1.
Serial of device.
Device size in GB.
Vendor of device.
List of USB devices in server.
Information about USB device.
object
Address of the device on the bus in decimal.
The class of this device.
The protocol (within the sub-class) of this device.
The sub-class (within the class) of this device.
Maximum size of the control transfer.
The device version.
USB Specification Release Number.
The bus on which the device was detected in decimal.
Device description.
Manufacturer name.
Product name reported by device.
Index of Serial Number String Descriptor.
Product ID (Assigned by Manufacturer) in hex.
Vendor ID (Assigned by USB Org) in hex.
Port on which the device was detected in decimal.
Product ID translated to name (if available)
The negotiated operating speed for the device.
Vendor ID translated to name (if available)
OS version on host.
Public IP gives vhost0 or other primary IP.
If node is worker node.
F5 Distributed Cloud software version.
VPM version running on host.
If the box has WIFI support.
Indicates whether F5 (vesop) SSH access is currently enabled on the site.
Displays the remaining time until F5 (vesop) SSH access is enabled. Empty if SSH is disabled or permanently enabled.
Example
{ "os_info": { "network": [ { "link_quality": "QUALITY_UNKNOWN", "link_type": "LINK_TYPE_UNKNOWN" } ], "usb": [ { "usb_type": "UNKNOWN_USB" } ] }, "state": "WAITING_FOR_CONFIG"}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example